# Class CIM_ComputerSystemPackage
extends CIM_SystemPackaging

Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, ComputerSystem may be realized in one or more PhysicalPackages. The ComputerSystemPackage association explicitly defines this relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SystemPackaging
|
+--CIM_ComputerSystemPackage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, ComputerSystem may be realized in one or more PhysicalPackages. The ComputerSystemPackage association explicitly defines this relationship.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.13.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PlatformGUID | string |
Description | string | A Gloabally Unique Identifier for the System's Package.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ComputerSystemPackage | CIM_PhysicalPackage
Dependent | CIM_ComputerSystemPackage | CIM_ComputerSystem

## Class Methods